<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.expression.encryption" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-resolver,prefix,resolvers"/>
        <elem name="addr-params" value="profile,host,subsystem,expression"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.expression-resolver"/>
    </provides>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="resolvers" stability="default"/>
        <param name="expression" feature-id="true" default="encryption"/>
        <param name="default-resolver" nillable="true" stability="default"/>
        <param name="prefix" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
    </params>
</feature-spec>